﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart.Tools;
using Steema.TeeChart.Styles;
using Steema.TeeChart;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {

        private Steema.TeeChart.Styles.Line lineSeries1 = new Steema.TeeChart.Styles.Line();
        private Candle myCandle;
        private int NumberBars = 10;

        public Form1()
        {
            InitializeComponent();
            tChart1.Series.Clear();
            tChart1.Series.RemoveAllSeries();
            
            myCandle = new Candle(tChart1.Chart);
            myCandle.Style = CandleStyles.CandleStick;
            myCandle.UpCloseColor = Color.Green;
            myCandle.DownCloseColor = Color.Red;
            myCandle.Pointer.Pen.Visible = false;

            Candle myCandle2 = new Candle();
            myCandle2.FillSampleValues(NumberBars);

            for (int index = 0; index < myCandle2.Count -1; index++)
            {
                double open = Convert.ToDouble(myCandle2[index].Open);
                double high = Convert.ToDouble(myCandle2[index].High);
                double low = Convert.ToDouble(myCandle2[index].Low);
                double close = Convert.ToDouble(myCandle2[index].Close);
             
                myCandle.Add(index, open, high, low, close);
                lineSeries1.Add(index, close);
            }
            
            tChart1.Axes.Left.StartPosition = 0;
            tChart1.Axes.Left.EndPosition = 69;
            tChart1.Axes.Left.Visible = true;

            
            Axis newAxis = new Axis(tChart1.Chart);
            newAxis.StartPosition = 70;
            newAxis.EndPosition = 100;
            newAxis.Visible = true;
            newAxis.Automatic = true;
            newAxis.Horizontal = false;
            newAxis.PositionUnits = PositionUnits.Percent;
            tChart1.Axes.Custom.Add(newAxis);

            lineSeries1.CustomVertAxis = newAxis;
            
            tChart1.Series.Add(myCandle);
            tChart1.Series.Add(lineSeries1);

        }

        DrawLine drawLine;
        
        private void button1_Click(object sender, EventArgs e)
        {
            drawLine = new DrawLine();                               

            drawLine.Style = DrawLineStyle.Line;                     

            

            tChart1.Tools.Add(drawLine); 
        }

    }
}
